Name:           reLCS
Version:        0.0
Release:        1%{?dist}
Summary:        Reversed and improved GTA LCS

License:        No
URL:            https://github.com/GTAmodding/re3/tree/LCS
Source0:        reLCS-0.0.tar.gz

BuildRequires:  git gcc gcc-c++ openal-soft-devel glew-devel glfw-devel libsndfile-devel mpg123-devel
Requires:       openal glew glfw libsndfile mpg123

%description
Reversed and improved GTA LCS

%prep
%autosetup
sh clone-reLCS.sh

%build
./premake5Linux --with-librw gmake2
cd build
make config=release_linux-amd64-librw_gl3_glfw-oal


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp bin/linux-amd64-librw_gl3_glfw-oal/Release/reLCS $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/reLCS



%changelog
* Tue Feb 16 2021 ishlun <krtmhyoyo@gmail.com>
- 
